ENT.Base = "base_anim"
ENT.PrintName = "Erz"
ENT.Spawnable = false
ENT.RenderGroup = RENDERGROUP_BOTH

ENT.IsOre = true

function ENT:SetupDataTables()
	self:NetworkVar("Entity", 0, "owning_ent")
	self:NetworkVar("String", 0, "OreName")
	self:NetworkVar("Int", 0, "OreWorth")
end

function ENT:PhysgunPickup(ply)
	return ply:IsAdmin()
end

function ENT:CanTool(ply, trace, mode)
	return mode == "remover" and ply:IsAdmin()
end